@import "variables.less";

.changecnt {
  margin-top: 20px;
  padding: 10px;
}

.notify-head {
  align-items: center;
}

.notification-center {
  margin-right: 0px;
  height: 100%;
}

.notify-filter-box {
  justify-content: center;

  .notification-filter {
    border: 1px solid rgb(235, 233, 233);
    background-color: white;
    width: 80%;
    padding: 20px;
    // max-width: 280px;
    display: flex;
    flex-direction: column;
    gap: 17px;
    float: right;

    .filter-main {
      display: flex;
      flex-direction: column;

      .filter-row {
        display: flex;
        justify-content: space-between;

        .filter-element-name,
        .filter-name {
          font-weight: 500;
        }

        .fliter-link {
          font-size: small;
          text-decoration: underline;
        }
      }

      .Down::before {
        content: url(../images/icons/arrow-down.png);
      }

      .Up::before {
        content: url(../images/icons/arrow-up.png);
      }
    }

  }
}

ul li {
  margin-top: 10px;
}

.form-check-input {
  margin-top: .7em;
}

@media only screen and (max-width: 768px) {
  body {
    .notify-filter-box {
      display: none;
    }

    .contain {
      padding-left: 15px;
    }
  }
}

@media only screen and (max-width: 850px) {
  body {
    .notification-filter {
      min-width: 180px;
      margin: 0px;
    }
  }
}

.general-notify-box {
  display: flex;
  justify-content: center;
}

.container-notify {
  margin-top: 25px;

  .nav {
    flex-direction: row !important;
    flex-wrap: nowrap !important;
  }

  .nav-pills .nav-link.active,
  .nav-pills .show>.nav-link {
    color: #1c84ee;
    background-color: transparent !important;
    border-bottom: 3px solid #1c84ee;
    border-radius: unset;
    cursor: pointer;
  }

  .notify-box {
    width: calc(100%-10px);
    margin: 10px;
    background-color: white;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 150px;
    gap: 20px;
    padding: 60px 70px;
    font-size: larger;
    font-weight: 450;
    border: 1px solid rgb(239, 236, 236);
    border-radius: 20px;
    color: black;

  }
}

.container-changes {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  border: 1px solid rgb(225, 224, 224);
  //width: 58%;
  // min-width: 400px;
  background-color: white;
  padding: 10px;
  border-radius: 17px;
  gap: 10px;
  color: black;
  margin-bottom: 20px;

  .active {
    height: 7px;
    width: 7px;
    margin-top: 13px;
    background-color: #1c84ee;
    border-radius: 100%;

  }

  .change-box {
    display: flex;
    flex-direction: column;
    flex: 1;

    .top {
      display: flex;
      justify-content: space-between;
      align-items: center;

      .name {
        font-size: small;
        font-weight: 550;
      }

      .time-min {
        font-size: small;
        color: rgb(158, 154, 154);
      }
    }


  }
}

@media only screen and (max-width: 750px) {
  body {
    .container-changes {
      min-width: 100px;
    }
  }
}

@media only screen and (max-width: 769px) {
  body {
    .container-notify {
      margin-top: 100px;


    }
  }
}

@media only screen and (max-width: 600px) {
  body {
    .container-general {
      .notify-box {
        margin-top: 100px;
        width: 100%;
        padding: 30px;
        margin-left: 35px;
      }
    }
  }
}

@media only screen and (min-width: 601px)and (max-width:769px) {
  body {
    .container-general {
      .notify-box {
        margin-top: 80px;
        margin-left: 35px;


      }
    }
  }
}

@media only screen and (min-width: 770px)and (max-width:1000px) {
  body {
    .container-general {
      .notify-box {
        margin-top: 100px;

      }
    }
  }
}

@media only screen and (min-width: 1001px)and (max-width:2000px) {
  body {
    .container-general {
      .notify-box {
        margin-top: 150px;
      }
    }
  }
}

@media only screen and (min-width: 2001px) {
  body {
    .container-general {
      .notify-box {
        margin-top: 160px;

      }
    }
  }
}

.mark-as-read {
  display: flex;
  justify-content: flex-end;
  font-size: small;
  text-decoration: underline;
}

@media only screen and (max-width: 768px) {
  body {
    .mark-as-read {
      display: none;
    }
  }
}